Skip to Content

Archived discussions are read-only. Learn more about SAP Q&A

Adapter Framework on XI 3.0

Hello Community,

We have a brand new installation of XI 3.0, and we want to make a test scenario that read a file and send it to CRM 4.0 thru proxies.

All the configuration is maded including the integration between XI and CRM, but we can't use the Adapters of the Adapter Framework.

When we create the communication channel in the ID, the Adapter Engine type is (Integration Engine), we soppose that is ok because we want to use the Adapter Framework, not and external J2EE Adapter Engine.

And if we go to the SLD, in Content Manteinance -> Xi Adapter Framework we could se our Adapter Framework but inside them we can not see the Adapters. Previously we check in the Visual Administrator the services of the AE and we assure that all are up & running.

The las step of our check, was in the Runtime Workbench. We checked in the Adapter Monitor our Adapter Framework, but we did'nt see adapters inside (no file adapter).

What could be happening?

Is a bad installation of XI? or the Adapter Framework?

THANKS FOR ANY HELP

Enrique Lander

Former Member
Former Member replied

HI,

First import the SAP BASIS content into the Repository.

Also check this guide~

https://websmp103.sap-ag.de/~sapdownload/011000358700002757652005E/HowtoMintorAF.pdf

Thanks,

Moorthy

0 View this answer in context
Not what you were looking for? View more on this topic or Ask a question